Recommendations - Get Scenario Actions
Get recommendation actions.
Gets allowed actions for a recommendation.
GET https://api.powerplatform.com/analytics/advisorRecommendations/{scenario}/actions?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
scenario
|
path | True |
string |
The recommendation name. |
|
api-version
|
query | True |
string |
The API version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success |
|
| 400 Bad Request |
Bad Request |
|
| 401 Unauthorized |
Unauthorized |
|
| 403 Forbidden |
Forbidden |
|
| 404 Not Found |
Not Found |
|
| 429 Too Many Requests |
Too Many Requests |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
AdvisorAction
The allowed action
| Name | Type | Description |
|---|---|---|
| actionName |
string |
Action display name |
| actionType |
string |
The action identifier |